// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef COMPONENTLIB_CONTAINERSERVICES_LIFECYCLE_H
#define COMPONENTLIB_CONTAINERSERVICES_LIFECYCLE_H

/************************************************************
 LifeCycle class header
 ************************************************************/

#include "componentlib/ContainerServices/Pkg_ContainerServices.h"

namespace sysinterfaces {
class ILifeCycle;
}

namespace componentlib {
namespace ContainerServices {

/************************************************************/
/**
 * 
 */
class LifeCycle {
public:

	/**
	 * 
	 * @return ret 
	 */
	virtual ::sysinterfaces::ILifeCycle* get_lc() = 0;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace ContainerServices
} // of namespace componentlib

/************************************************************
 End of LifeCycle class header
 ************************************************************/

#endif
